## org.apache.html.dom
Class HTMLAppletElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLAppletElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLAppletElement, org.w3c.dom.html.HTMLElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLAppletElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLAppletElement

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLAppletElement`, `HTMLElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLAppletElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` `getAlt()` Alternate text for user agents not rendering the normal contentof this element.
`java.lang.String` `getArchive()` Comma-separated archive list.
`java.lang.String` `getCode()` Applet class file.
`java.lang.String` `getCodeBase()` Optional base URI for applet.
`java.lang.String` `getHeight()` Override height.
`java.lang.String` `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`java.lang.String` `getName()` The name of the applet.
`java.lang.String` `getObject()` Serialized applet file.
`java.lang.String` `getVspace()` Vertical space above and below this image, applet, or object.
`java.lang.String` `getWidth()` Override width.
`void` `setAlign(java.lang.String align)`
`void` `setAlt(java.lang.String alt)`
`void` `setArchive(java.lang.String archive)`
`void` `setCode(java.lang.String code)`
`void` `setCodeBase(java.lang.String codeBase)`
`void` `setHeight(java.lang.String height)`
`void` `setHspace(java.lang.String height)`
`void` `setName(java.lang.String name)`
`void` `setObject(java.lang.String object)`
`void` `setVspace(java.lang.String vspace)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLAppletElementImpl

    public HTMLAppletElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLAppletElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLAppletElement`

### getAlt

    public java.lang.String getAlt()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Alternate text for user agents not rendering the normal contentof this element. See the alt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getAlt` in interface `org.w3c.dom.html.HTMLAppletElement`

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    `setAlt` in interface `org.w3c.dom.html.HTMLAppletElement`

### getArchive

    public java.lang.String getArchive()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Comma-separated archive list. See the archive attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getArchive` in interface `org.w3c.dom.html.HTMLAppletElement`

### setArchive

    public void setArchive(java.lang.String archive)

  Specified by:
    `setArchive` in interface `org.w3c.dom.html.HTMLAppletElement`

### getCode

    public java.lang.String getCode()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Applet class file. See the code attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getCode` in interface `org.w3c.dom.html.HTMLAppletElement`

### setCode

    public void setCode(java.lang.String code)

  Specified by:
    `setCode` in interface `org.w3c.dom.html.HTMLAppletElement`

### getCodeBase

    public java.lang.String getCodeBase()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Optional base URI for applet. See the codebase attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getCodeBase` in interface `org.w3c.dom.html.HTMLAppletElement`

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)

  Specified by:
    `setCodeBase` in interface `org.w3c.dom.html.HTMLAppletElement`

### getHeight

    public java.lang.String getHeight()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Override height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getHeight` in interface `org.w3c.dom.html.HTMLAppletElement`

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    `setHeight` in interface `org.w3c.dom.html.HTMLAppletElement`

### getHspace

    public java.lang.String getHspace()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getHspace` in interface `org.w3c.dom.html.HTMLAppletElement`

### setHspace

    public void setHspace(java.lang.String height)

  Specified by:
    `setHspace` in interface `org.w3c.dom.html.HTMLAppletElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  The name of the applet. See the name attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLAppletElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLAppletElement`

### getObject

    public java.lang.String getObject()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Serialized applet file. See the object attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getObject` in interface `org.w3c.dom.html.HTMLAppletElement`

### setObject

    public void setObject(java.lang.String object)

  Specified by:
    `setObject` in interface `org.w3c.dom.html.HTMLAppletElement`

### getVspace

    public java.lang.String getVspace()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getVspace` in interface `org.w3c.dom.html.HTMLAppletElement`

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    `setVspace` in interface `org.w3c.dom.html.HTMLAppletElement`

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: `org.w3c.dom.html.HTMLAppletElement`
  Override width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLAppletElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLAppletElement`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.